Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

OAuth 2.0 client-credentials flow. Request an access token from the token endpoint and send it as Authorization: Bearer <token>.

Path Parameters

id
string
required

Global id of the resource class.

Response

The resource class.

An Oleria ResourceClass object represents a class of resource instances within an application (e.g. Repositories in GitHub, Opportunities in Salesforce)

id
string
required

An identifier (unique to the integrated application) for a ResourceClass object represented in the Oleria system. Oleria converts these identifiers to global ids so they can be unique in the context of the global system graph. Ideally this id is a straightforward derivation of the class name

Example:

"class:repo (GitHub based on resources)"

name
string
required

The name of the resource class (this may be different from displayName)

Minimum string length: 1
Example:

"repo"

objectMetadata
object
required

The ObjectMetadata structure defines metadata that applies to every object and relationship, and is usually managed by the system that receives the data

globalId
string
required
oleriaObjectMetadata
object
required

object metadata supersets object metadata with platform enrichment provenance — the enrichment version and the time the record was generated

displayName
string

The display name of the resource class (typically used to represent the resource class in a user experience)

Minimum string length: 1
Example:

"Repositories"

pageUri
string<uri>

The URI of the resource entity

Example:

"/lightning/r/Opportunity"

sourceTag
string

An application-specific tag representing the resource class information data source

Example:

"GitHub"

analyticsResourceInstanceCount
integer<int64> | null

Cached count of Oleria ResourceInstance objects belonging to this Oleria ResourceClass.

sorPrimaryStewardEmail
string